$(function(){
	$(".reportYear").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 4,
	    minView: 4,
	    forceParse: 0,
	    format: "yyyy"
	});
	$(".occurDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    format: "yyyymmdd"
	});
	$(".auditDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    format: "yyyymmdd"
	});
	function getDictionaryItem(paramName,name,ele){
		$.ajax({
			type:"get",
			url:'/orgbaseInfo/doFindDictCode',
			data:{
				'paramName':paramName
			},
			success:function(data){
//				console.log(data);
				if( data ){
					ele.empty().append('<option value="">请选择</option>');
					for(var i in data){
						ele.append('<option value="'+i+'">'+data[i]+'</option>');
					}
					if( ele.attr("value")!='' ){//有值
						ele.find("option").each(function(){
							if( $(this).val()==ele.attr("value") ){
								$(this).prop("selected",true);
							}
						})
					}
				}
			},
			error:function(status){
				new $.zui.Messager(name+'数据获取失败', {
					type : 'danger',
					time : 1500
				}).show();
			}
		})
	}
	//填值---开始
	if( JSON.stringify(fincfData[operationRowNum]) != "{}" ){//判断是否保存过值
		$("#fincfUpdateForm .originalReportTime").val(fincfData[operationRowNum].originalReportTime);//系统内报表年月
		$("#fincfUpdateForm .reportYear").val(fincfData[operationRowNum].reportYear);//上报-报表年份
		$("#fincfUpdateForm .reportType").attr("value",fincfData[operationRowNum].reportType);//报表类型
		$("#fincfUpdateForm .reportSubType").attr("value",fincfData[operationRowNum].reportSubType);//报表类型细分
		$("#fincfUpdateForm .occurDate").val(fincfData[operationRowNum].occurDate);//业务发生日期
		$("#fincfUpdateForm .finOrgCode").val(fincfData[operationRowNum].finOrgCode);//金融机构代码
		$("#fincfUpdateForm .borrowerName").val(fincfData[operationRowNum].borrowerName);//借款人名称
		$("#fincfUpdateForm .loanCardNo").val(fincfData[operationRowNum].loanCardNo);//贷款卡编码
		$("#fincfUpdateForm .auditFirm").val(fincfData[operationRowNum].auditFirm);//审计事务所名称
		$("#fincfUpdateForm .auditor").val(fincfData[operationRowNum].auditor);//审计人员名称
		$("#fincfUpdateForm .auditDate").val(fincfData[operationRowNum].auditDate);//审计时间
		$("#fincfUpdateForm .h9199").val(fincfData[operationRowNum].h9199);//销售商品和提供劳务收到的现金
		$("#fincfUpdateForm .h9200").val(fincfData[operationRowNum].h9200);//收到的税费返还
		$("#fincfUpdateForm .h9201").val(fincfData[operationRowNum].h9201);//收到其他与经营活动有关的现金
		$("#fincfUpdateForm .h9202").val(fincfData[operationRowNum].h9202);//经营活动现金流入小计
		$("#fincfUpdateForm .h9203").val(fincfData[operationRowNum].h9203);//购买商品、接受劳务支付的现金
		$("#fincfUpdateForm .h9204").val(fincfData[operationRowNum].h9204);//支付给职工以及为职工支付的现金
		$("#fincfUpdateForm .h9205").val(fincfData[operationRowNum].h9205);//支付的各项税费
		$("#fincfUpdateForm .h9206").val(fincfData[operationRowNum].h9206);//支付其他与经营活动有关的现金
		$("#fincfUpdateForm .h9207").val(fincfData[operationRowNum].h9207);//经营活动现金流出小计
		$("#fincfUpdateForm .h9208").val(fincfData[operationRowNum].h9208);//经营活动产生的现金流量净额
		$("#fincfUpdateForm .h9209").val(fincfData[operationRowNum].h9209);//收回投资所收到的现金
		$("#fincfUpdateForm .h9210").val(fincfData[operationRowNum].h9210);//取得投资收益所收到的现金
		$("#fincfUpdateForm .h9211").val(fincfData[operationRowNum].h9211);//处置固定资产无形资产和其他长期资产所收回的现金净额
		$("#fincfUpdateForm .h9212").val(fincfData[operationRowNum].h9212);//处置子公司及其他营业单位收到的现金净额
		$("#fincfUpdateForm .h9213").val(fincfData[operationRowNum].h9213);//收到其他与投资活动有关的现金
		$("#fincfUpdateForm .h9214").val(fincfData[operationRowNum].h9214);//投资活动现金流入小计
		$("#fincfUpdateForm .h9215").val(fincfData[operationRowNum].h9215);//购建固定资产无形资产和其他长期资产所支付的现金
		$("#fincfUpdateForm .h9216").val(fincfData[operationRowNum].h9216);//投资所支付的现金
		$("#fincfUpdateForm .h9217").val(fincfData[operationRowNum].h9217);//取得子公司及其他营业单位支付的现金净额
		$("#fincfUpdateForm .h9218").val(fincfData[operationRowNum].h9218);//支付其他与投资活动有关的现金
		$("#fincfUpdateForm .h9219").val(fincfData[operationRowNum].h9219);//投资活动现金流出小计
		$("#fincfUpdateForm .h9220").val(fincfData[operationRowNum].h9220);//投资活动产生的现金流量净额
		$("#fincfUpdateForm .h9221").val(fincfData[operationRowNum].h9221);//吸收投资收到的现金
		$("#fincfUpdateForm .h9222").val(fincfData[operationRowNum].h9222);//取得借款收到的现金
		$("#fincfUpdateForm .h9223").val(fincfData[operationRowNum].h9223);//收到其他与筹资活动有关的现金
		$("#fincfUpdateForm .h9224").val(fincfData[operationRowNum].h9224);//筹资活动现金流入小计
		$("#fincfUpdateForm .h9225").val(fincfData[operationRowNum].h9225);//偿还债务所支付的现金
		$("#fincfUpdateForm .h9226").val(fincfData[operationRowNum].h9226);//分配股利、利润或偿付利息所支付的现金
		$("#fincfUpdateForm .h9227").val(fincfData[operationRowNum].h9227);//支付其他与筹资活动有关的现金
		$("#fincfUpdateForm .h9228").val(fincfData[operationRowNum].h9228);//筹资活动现金流出小计
		$("#fincfUpdateForm .h9229").val(fincfData[operationRowNum].h9229);//筹集活动产生的现金流量净额
		$("#fincfUpdateForm .h9230").val(fincfData[operationRowNum].h9230);//汇率变动对现金及现金等价物的影响
		$("#fincfUpdateForm .h9231").val(fincfData[operationRowNum].h9231);//现金及现金等价物净增加额（五）
		$("#fincfUpdateForm .h9232").val(fincfData[operationRowNum].h9232);//期初现金及现金等价物余额
		$("#fincfUpdateForm .h9233").val(fincfData[operationRowNum].h9233);//期末现金及现金等价物余额（六）
		$("#fincfUpdateForm .h9234").val(fincfData[operationRowNum].h9234);//净利润
		$("#fincfUpdateForm .h9235").val(fincfData[operationRowNum].h9235);//资产减值准备
		$("#fincfUpdateForm .h9236").val(fincfData[operationRowNum].h9236);//固定资产折旧、油气资产折耗、生产性生物资产折旧
		$("#fincfUpdateForm .h9237").val(fincfData[operationRowNum].h9237);//无形资产摊销
		$("#fincfUpdateForm .h9238").val(fincfData[operationRowNum].h9238);//长期待摊费用摊销
		$("#fincfUpdateForm .h9239").val(fincfData[operationRowNum].h9239);//待摊费用减少
		$("#fincfUpdateForm .h9240").val(fincfData[operationRowNum].h9240);//预提费用增加
		$("#fincfUpdateForm .h9241").val(fincfData[operationRowNum].h9241);//处置固定资产无形资产和其他长期资产的损失
		$("#fincfUpdateForm .h9242").val(fincfData[operationRowNum].h9242);//固定资产报废损失
		$("#fincfUpdateForm .h9243").val(fincfData[operationRowNum].h9243);//公允价值变动损失
		$("#fincfUpdateForm .h9244").val(fincfData[operationRowNum].h9244);//财务费用
		$("#fincfUpdateForm .h9245").val(fincfData[operationRowNum].h9245);//投资损失
		$("#fincfUpdateForm .h9246").val(fincfData[operationRowNum].h9246);//递延所得税资产减少
		$("#fincfUpdateForm .h9247").val(fincfData[operationRowNum].h9247);//递延所得税负债增加
		$("#fincfUpdateForm .h9248").val(fincfData[operationRowNum].h9248);//存货的减少
		$("#fincfUpdateForm .h9249").val(fincfData[operationRowNum].h9249);//经营性应收项目的减少
		$("#fincfUpdateForm .h9250").val(fincfData[operationRowNum].h9250);//经营性应付项目的增加
		$("#fincfUpdateForm .h9251").val(fincfData[operationRowNum].h9251);//其他
		$("#fincfUpdateForm .h9252").val(fincfData[operationRowNum].h9252);//经营活动产生的现金流量净额
		$("#fincfUpdateForm .h9253").val(fincfData[operationRowNum].h9253);//债务转为资本
		$("#fincfUpdateForm .h9254").val(fincfData[operationRowNum].h9254);//一年内到期的可转换公司债券
		$("#fincfUpdateForm .h9255").val(fincfData[operationRowNum].h9255);//融资租入固定资产
		$("#fincfUpdateForm .h9256").val(fincfData[operationRowNum].h9256);//其他
		$("#fincfUpdateForm .h9257").val(fincfData[operationRowNum].h9257);//现金的期末余额
		$("#fincfUpdateForm .h9258").val(fincfData[operationRowNum].h9258);//现金的期初余额
		$("#fincfUpdateForm .h9259").val(fincfData[operationRowNum].h9259);//现金等价物的期末余额
		$("#fincfUpdateForm .h9260").val(fincfData[operationRowNum].h9260);//现金等价物的期初余额
		$("#fincfUpdateForm .h9261").val(fincfData[operationRowNum].h9261);//现金及现金等价物净增加额
	}
	$("#fincfUpdateForm .amount").each(function(){
		if( $(this).val()!='' ){
			$(this).val(commaDelimiter($(this).val()))
		}
	})
	$("#fincfUpdateForm .amount").keyup(function(){
		if( $(this).val()!='' ){
			$(this).val(commaDelimiter($(this).val()))
		}
	})
	getDictionaryItem('reportType','报表类型',$("#fincfUpdateForm .reportType"));
	getDictionaryItem('reportSubType','报表类型细分',$("#fincfUpdateForm .reportSubType"));
	
	$(".fincfDialog .addSure").removeClass("loadingCircle");
	
	$(".fincfDialog .addSure").click(function(){
		$("#fincfUpdateForm").submit();
	})
	$("#fincfUpdateForm").validate({
		promptPosition : "bottomLeft",
		submitHandler : function(form) {
			$(".fincfDialog .addSure").addClass("loadingCircle");
			$("#fincfUpdateForm .amount").each(function(){
				$(this).val($(this).val().split(',').join(''));
			})
			$(".fincfDialog").modal("hide");
			$(".fincfDialog").on('hidden.zui.modal', function(){
				fincfData[operationRowNum].originalReportTime=$("#fincfUpdateForm .originalReportTime").val();//系统内报表年月
				fincfData[operationRowNum].reportYear=$("#fincfUpdateForm .reportYear").val();//上报-报表年份
				if( $("#fincfUpdateForm .reportType").val()!='' ){
					fincfData[operationRowNum].reportType=$("#fincfUpdateForm .reportType").val();//报表类型id
					fincfData[operationRowNum].reportTypeCN=$("#fincfUpdateForm .reportType").find("option:selected").text();//报表类型name
				}else {
					fincfData[operationRowNum].reportType='';
					fincfData[operationRowNum].reportTypeCN='';
				}
				if( $("#fincfUpdateForm .reportSubType").val()!='' ){
					fincfData[operationRowNum].reportSubType=$("#fincfUpdateForm .reportSubType").val();//报表类型细分
					fincfData[operationRowNum].reportSubTypeCN=$("#fincfUpdateForm .reportSubType").find("option:selected").text();//报表类型细分name
				}else {
					fincfData[operationRowNum].reportSubType='';
					fincfData[operationRowNum].reportSubTypeCN='';
				}
				fincfData[operationRowNum].occurDate=$("#fincfUpdateForm .occurDate").val();//业务发生日期
				fincfData[operationRowNum].finOrgCode=$("#fincfUpdateForm .finOrgCode").val();//金融机构代码
				fincfData[operationRowNum].borrowerName=$("#fincfUpdateForm .borrowerName").val();//借款人名称
				fincfData[operationRowNum].loanCardNo=$("#fincfUpdateForm .loanCardNo").val();//贷款卡编码
				fincfData[operationRowNum].auditFirm=$("#fincfUpdateForm .auditFirm").val();//审计事务所名称
				fincfData[operationRowNum].auditor=$("#fincfUpdateForm .auditor").val();//审计人员名称
				fincfData[operationRowNum].auditDate=$("#fincfUpdateForm .auditDate").val();//审计时间
				fincfData[operationRowNum].h9199=$("#fincfUpdateForm .h9199").val();//销售商品和提供劳务收到的现金
				fincfData[operationRowNum].h9200=$("#fincfUpdateForm .h9200").val();//收到的税费返还
				fincfData[operationRowNum].h9201=$("#fincfUpdateForm .h9201").val();//收到其他与经营活动有关的现金
				fincfData[operationRowNum].h9202=$("#fincfUpdateForm .h9202").val();//经营活动现金流入小计
				fincfData[operationRowNum].h9203=$("#fincfUpdateForm .h9203").val();//购买商品、接受劳务支付的现金
				fincfData[operationRowNum].h9204=$("#fincfUpdateForm .h9204").val();//支付给职工以及为职工支付的现金
				fincfData[operationRowNum].h9205=$("#fincfUpdateForm .h9205").val();//支付的各项税费
				fincfData[operationRowNum].h9206=$("#fincfUpdateForm .h9206").val();//支付其他与经营活动有关的现金
				fincfData[operationRowNum].h9207=$("#fincfUpdateForm .h9207").val();//经营活动现金流出小计
				fincfData[operationRowNum].h9208=$("#fincfUpdateForm .h9208").val();//经营活动产生的现金流量净额
				fincfData[operationRowNum].h9209=$("#fincfUpdateForm .h9209").val();//收回投资所收到的现金
				fincfData[operationRowNum].h9210=$("#fincfUpdateForm .h9210").val();//取得投资收益所收到的现金
				fincfData[operationRowNum].h9211=$("#fincfUpdateForm .h9211").val();//处置固定资产无形资产和其他长期资产所收回的现金净额
				fincfData[operationRowNum].h9212=$("#fincfUpdateForm .h9212").val();//处置子公司及其他营业单位收到的现金净额
				fincfData[operationRowNum].h9213=$("#fincfUpdateForm .h9213").val();//收到其他与投资活动有关的现金
				fincfData[operationRowNum].h9214=$("#fincfUpdateForm .h9214").val();//投资活动现金流入小计
				fincfData[operationRowNum].h9215=$("#fincfUpdateForm .h9215").val();//购建固定资产无形资产和其他长期资产所支付的现金
				fincfData[operationRowNum].h9216=$("#fincfUpdateForm .h9216").val();//投资所支付的现金
				fincfData[operationRowNum].h9217=$("#fincfUpdateForm .h9217").val();//取得子公司及其他营业单位支付的现金净额
				fincfData[operationRowNum].h9218=$("#fincfUpdateForm .h9218").val();//支付其他与投资活动有关的现金
				fincfData[operationRowNum].h9219=$("#fincfUpdateForm .h9219").val();//投资活动现金流出小计
				fincfData[operationRowNum].h9220=$("#fincfUpdateForm .h9220").val();//投资活动产生的现金流量净额
				fincfData[operationRowNum].h9221=$("#fincfUpdateForm .h9221").val();//吸收投资收到的现金
				fincfData[operationRowNum].h9222=$("#fincfUpdateForm .h9222").val();//取得借款收到的现金
				fincfData[operationRowNum].h9223=$("#fincfUpdateForm .h9223").val();//收到其他与筹资活动有关的现金
				fincfData[operationRowNum].h9224=$("#fincfUpdateForm .h9224").val();//筹资活动现金流入小计
				fincfData[operationRowNum].h9225=$("#fincfUpdateForm .h9225").val();//偿还债务所支付的现金
				fincfData[operationRowNum].h9226=$("#fincfUpdateForm .h9226").val();//分配股利、利润或偿付利息所支付的现金
				fincfData[operationRowNum].h9227=$("#fincfUpdateForm .h9227").val();//支付其他与筹资活动有关的现金
				fincfData[operationRowNum].h9228=$("#fincfUpdateForm .h9228").val();//筹资活动现金流出小计
				fincfData[operationRowNum].h9229=$("#fincfUpdateForm .h9229").val();//筹集活动产生的现金流量净额
				fincfData[operationRowNum].h9230=$("#fincfUpdateForm .h9230").val();//汇率变动对现金及现金等价物的影响
				fincfData[operationRowNum].h9231=$("#fincfUpdateForm .h9231").val();//现金及现金等价物净增加额（五）
				fincfData[operationRowNum].h9232=$("#fincfUpdateForm .h9232").val();//期初现金及现金等价物余额
				fincfData[operationRowNum].h9233=$("#fincfUpdateForm .h9233").val();//期末现金及现金等价物余额（六）
				fincfData[operationRowNum].h9234=$("#fincfUpdateForm .h9234").val();//净利润
				fincfData[operationRowNum].h9235=$("#fincfUpdateForm .h9235").val();//资产减值准备
				fincfData[operationRowNum].h9236=$("#fincfUpdateForm .h9236").val();//固定资产折旧、油气资产折耗、生产性生物资产折旧
				fincfData[operationRowNum].h9237=$("#fincfUpdateForm .h9237").val();//无形资产摊销
				fincfData[operationRowNum].h9238=$("#fincfUpdateForm .h9238").val();//长期待摊费用摊销
				fincfData[operationRowNum].h9239=$("#fincfUpdateForm .h9239").val();//待摊费用减少
				fincfData[operationRowNum].h9240=$("#fincfUpdateForm .h9240").val();//预提费用增加
				fincfData[operationRowNum].h9241=$("#fincfUpdateForm .h9241").val();//处置固定资产无形资产和其他长期资产的损失
				fincfData[operationRowNum].h9242=$("#fincfUpdateForm .h9242").val();//固定资产报废损失
				fincfData[operationRowNum].h9243=$("#fincfUpdateForm .h9243").val();//公允价值变动损失
				fincfData[operationRowNum].h9244=$("#fincfUpdateForm .h9244").val();//财务费用
				fincfData[operationRowNum].h9245=$("#fincfUpdateForm .h9245").val();//投资损失
				fincfData[operationRowNum].h9246=$("#fincfUpdateForm .h9246").val();//递延所得税资产减少
				fincfData[operationRowNum].h9247=$("#fincfUpdateForm .h9247").val();//递延所得税负债增加
				fincfData[operationRowNum].h9248=$("#fincfUpdateForm .h9248").val();//存货的减少
				fincfData[operationRowNum].h9249=$("#fincfUpdateForm .h9249").val();//经营性应收项目的减少
				fincfData[operationRowNum].h9250=$("#fincfUpdateForm .h9250").val();//经营性应付项目的增加
				fincfData[operationRowNum].h9251=$("#fincfUpdateForm .h9251").val();//其他
				fincfData[operationRowNum].h9252=$("#fincfUpdateForm .h9252").val();//经营活动产生的现金流量净额
				fincfData[operationRowNum].h9253=$("#fincfUpdateForm .h9253").val();//债务转为资本
				fincfData[operationRowNum].h9254=$("#fincfUpdateForm .h9254").val();//一年内到期的可转换公司债券
				fincfData[operationRowNum].h9255=$("#fincfUpdateForm .h9255").val();//融资租入固定资产
				fincfData[operationRowNum].h9256=$("#fincfUpdateForm .h9256").val();//其他
				fincfData[operationRowNum].h9257=$("#fincfUpdateForm .h9257").val();//现金的期末余额
				fincfData[operationRowNum].h9258=$("#fincfUpdateForm .h9258").val();//现金的期初余额
				fincfData[operationRowNum].h9259=$("#fincfUpdateForm .h9259").val();//现金等价物的期末余额
				fincfData[operationRowNum].h9260=$("#fincfUpdateForm .h9260").val();//现金等价物的期初余额
				fincfData[operationRowNum].h9261=$("#fincfUpdateForm .h9261").val();//现金及现金等价物净增加额
				//console.log(fincfData);
				updateListData('fincfList',fincfData[operationRowNum],operationRowNum);
			});
		},
		rules : {
			'h9199':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9200':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9201':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9202':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9203':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9204':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9205':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9206':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9207':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9208':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9209':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9210':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9211':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9212':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9213':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9214':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9215':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9216':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9217':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9218':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9219':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9220':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9221':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9222':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9223':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9224':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9225':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9226':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9227':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9228':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9229':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9230':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9231':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9232':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9233':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9234':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9235':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9236':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9237':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9238':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9239':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9240':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9241':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9242':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9243':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9244':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9245':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9246':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9247':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9248':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9249':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9250':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9251':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9252':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9253':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9254':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9255':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9256':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9257':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9258':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9259':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9260':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9261':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			}
		},
		messages : {
			
		}
	})
})